%define version 1.4.4
%define release 3mdk
%define name tin

Summary: A basic Internet news reader.
Name: %{name}
Version: %{version}
Release: %{release}
Serial: 1
Copyright: distributable
Group: Networking/News
BuildRequires: gpm-devel ncurses-devel
URL: http://www.tin.org
Source: ftp://ftp.tin.org/pub/news/clients/tin/v1.4/tin-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Tin is a basic, easy to use Internet news reader.  Tin can read news
locally or remotely via an NNTP (Network News Transport Protocol) server.

Install tin if you need a basic news reader.

%prep
%setup -q

%build
	%configure --verbose \
	--prefix= \
	--with-spooldir=/var/lib/news \
	--enable-nntp \
	--enable-prototypes \
	--disable-echo \
	--disable-mime-strict-charset \
	--enable-color \
	--enable-ncurses \
	--enable-locale

make clean
CFLAGS=$RPM_OPT_FLAGS make build
%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_PREFIX=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README doc/
%{_bindir}/tin
%{_bindir}/rtin
%{_mandir}/man1/tin.1*

%changelog
* Wed Dec 20 2000 Yves Duret <yduret@mandrakesoft.com> 1.4.4-3mdk
- macros
- added URL: tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4.4-2mdk
- automatically added BuildRequires

* Sat Aug 05 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.4-1mdk
- new shiny version

* Sun Jul 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.3-2mdk
- macrosifications
- rebuild for hte BM

* Mon Jun 26 2000 Maurizio De Cecco <maurizio@mandrakesoft.com> 1.4.3-1mdk
- Moved to the 1.4.3 version

* Wed Apr 05 2000 John Buswell <johnb@mandrakesoft.com> 1.4.2-3mdk
- fixed vendor tag

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 1.4.2-2mdk
- Fixed groups
- spec-helper

* Mon Feb 07 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.4.2-1mdk
- 1.4.2

* Thu Dec  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.4.1.

* Wed Nov 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.4.0.

* Fri Sep 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- pre19990805 tnks to Ian White <iwhite@victoria.tc.ca>.

* Wed May  5 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- upgraded to latest dev version snapshot.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Dec 22 1998 Preston Brown <pbrown@redhat.com>
- upgraded again to latest snapshot.

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- Alan is right; 1.22 is full of bugs and ANCIENT. Moved to latest tin.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 24 1998 Alan Cox <alan@redhat.com>
- turned on DONT_LOG_USER - get rid of the silly file in /tmp. We probably
  ought to move to a newer tin soon.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Mon Nov 3 1997 Erik Troan <ewt@redhat.com>
- hacked to use just termios, not a motley mix of termios and termio

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
